%  function ff = huegrad1(filename)
  function ff = huegrad1(im)
    %% Extract hue into a .pgm file (requires ppmtohue program)
  
    [r,c]=size(im); 
    dx = diff(im,1);
    dx=dx(1:r-1,1:c-1); 
    x=min(vec(dx)); 
    y=max(vec(dx));
    dx = ((dx-x)/(y-x)-0.5)*2.0; 

    dy=diff(im',1)';
    dy=dy(1:r-1,1:c-1); 
    x=min(vec(dy)); y=max(vec(dy));
    dy=((dy-x)/(y-x)-0.5)*2.0;  

    imagesc(cos(dx*2*pi)+cos(dy*2*pi));

  endfunction

