# function [n,x] = loghist(x,n)
# histogram with exponential bin size
# 
# choe@tamu.edu
# Fri Feb  7 16:50:12 CST 2003
# GNU Public License

function [nv,xv] = loghist(X,N)

  vmin = min(X);
  vmax = max(X);

  tx = X-vmin;

  lmax = log10(vmax-vmin);

  # xvec = 10.^(0:lmax/N:lmax); #.-1;
  xvec = (10.^(0:lmax/N:lmax));
 
  xvecsize = columns(xvec);

  [r,c]=size(X);

  xs = max(r,c);

  xvec	= sort(xvec)/1000;
  sorted = sort(X.-vmin); 

  idx=1;

  [a,b]=minimax(xvec)
  [a,b]=minimax(sorted)

  nv = zeros(1,xvecsize);
  # xvec
  # sorted'
  for i=1:(xvecsize-1)
	i
	while (sorted(idx)>=xvec(i) && sorted(idx)<xvec(i+1))
		idx
		nv(i)++;
		idx++;
	endwhile
  end

  xv = xvec.+vmin;
	
end
