# function [X,N] = orhist (prefix,iter_list) 
#
#	prefix is the file prefix: iteration and "map1-0.orselec" will be
#	attached at the end.
#
#	iter_list contains the list of iterations you want to plot

function [X,N] = orhist (prefix,iter_list) 

  for i=1:columns(iter_list)

	load_str = sprintf('load -force %s.%06d.map1-0.orselec',prefix,iter_list(i));
	eval(load_str);
	[n,x] = hist(vec(ormap),100);
	plot(x,n);
	
	if (exist('Xmat')==1) 
		Xmat = [Xmat; x];
		Nmat = [Nmat; n];
	else
		Xmat = x;
		Nmat = n;
	endif

  endfor

  X = Xmat;
  N = Nmat;

end
