//----------------------------------------------------------------------------
// 
//	file: interpreter.h
// 
//	function: simple interactive command language for changing simul status 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Sun Jul 19 06:11:47 CDT 1998
// 
//	$Revision: 1.1 $ $Date: 2002/06/20 22:36:58 $
//	$Log: interpreter.h,v $
//	Revision 1.1  2002/06/20 22:36:58  yschoe
//	Initial revision
//
//	Revision 1.1  1998/07/23 01:07:05  yschoe
//	jul22 stable version (except netlayer)
//
//
//----------------------------------------------------------------------------

// read from file in batch mode : 'run filename'

// set variable values : 'set variable = value'

// run functions : 'run function_name arg(s)'
// - this is restricted to already registered functions

// print variable values : 'print name'
//	- again, the names should be in the blackboard

// print list of registered functions : 'lsfunc'

// print list of simul parameters : 'lsblackboard [blackboardfile]'

// load snapshots : 'load blackboard_image'

// display commands : 'display name'
// - again, the names should be in the blackboard

