#!/bin/sh

prefix=$1
shift

slissom.pl $@ | grep allv | sed -e "s/allv//" > $prefix.dat
slissom.pl $@ --notime | grep allv | sed -e "s/allv//" > $prefix.notime.dat
cat $prefix.notime.dat | graymat 30 100 $prefix.ppm 
xv -expand 3 -rotate -90  -raw $prefix.ppm

head -100 $prefix.dat | mplotdat -e "set xtics 0,10,90; set grid xtics 10; set lmargin 0; set rmargin 0; set yrange [-2:10]; set nokey; set nox2tics; set noytics; set ylabel \"neurons\"" -c '1:31,1:($30+2),1:($29+4),1:($28+6),1:($27+8)' -w lines -S
 
mv ~/tmp/gnu.ps $prefix.ps

echo "$@" > $prefix.conf

