#!/usr/bin/perl

$usage = <<EOF;

usage: count-uniq 
	- takes standard input
	- supposes that the file is sorted already
	- output: 
		original line		# of occurrences

EOF

if ($ARGV[0] =~ /-h/) {
	print $usage;
	exit;
}

$count = 0;
$oldline = "yschoeOLDLINE";

while (<STDIN>) {
	chop;
	$newline = $_;
	if (!($newline eq $oldline)) {
		if (!($oldline eq "yschoeOLDLINE")) {
			print $oldline." $count\n";
		}
		$oldline = $newline;
		$count = 0;
	}
	$count ++;
}
	
print $oldline." $count\n";
