#!/usr/bin/perl

# Take out figure portion from a latex document
# and expand size by <scale>
#
# - sizes must be in numbers, not aliases
# - only work with nnonecolumn (or other nn ) styles.

$fig_flag = 0;

$count = 1;

# print "\\huge\n";

$capend=1;
print "~\n";
while (<STDIN>) {

  if (/\\begin{figure/) {
	$fig_flag = 0;
  	# print "\\newpage\n";	
	$_ =~ s/\[[a-z]+\]//g;
	$_ =~ s/\}/\}\[h\]/g;
	$_ =~ s/figure\*/figure/g;
	print "\n\n\n%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\n";
	print;
	next;
  }	
  if (/titledcap/ && !/newcommand/) {
	$fig_flag = 1;
	# print "\\vspace{1.25in}\n";
	# print "\\draftnote{\\Large Fig.~$count CHOE}\n";
	# print "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\n";
	$count++;
	$capend=0;
  }

  if ($fig_flag && !$capend && !/figpull/) {
	$_ =~ s/figure\*/figure/g;
	print;
  }
  if (/\\end{figure/) {
	$capend=1;
  }

}
# print "~\n\\newpage~";
