#!/usr/bin/perl

require "getopts.pl";
&Getopts('s:');

if ($#ARGV != 4) {

  print "usage: mkwgtmap.pl [-s <skip_interval>] <prefix> <sx> <sy> <ex> <ey> \n";
  exit(0);

}


$skip = ($opt_s)?($opt_s):1;

$prefix = $ARGV[0];
$sx= $ARGV[1];
$sy= $ARGV[2];
$ex= $ARGV[3];
$ey= $ARGV[4];

print  STDERR "prefix = $prefix\n";

$whole = "";
for ($y=$ey; $y>=$sy; $y -= $skip) {
	$row = "";
 	for ($x=$sx; $x<=$ex; $x += $skip) {
		  $xx = sprintf("%03d",$x);
		  $yy = sprintf("%03d",$y);
		$row .= " $prefix.$xx-$yy.ppm";
	}
	system "pnmcat -lr $row > r$y.ppm";
	$whole .= " r$y.ppm";
}
system "pnmcat -tb $whole > $prefix.ppm";

for ($y=$ey; $y>=$sy; $y -= $skip) {
	system "rm r$y.ppm";
}

