#!/usr/bin/perl
# Mon Dec  8 23:22:16 CST 2003
# choe@tamu.edu

$usage = <<EOF;
usage: plotcog.pl <n> <xcenter> <ycenter> 
	n: map size (n x n)
	xcenter: xcenter file
	ycenter: ycenter file
EOF

if ($#ARGV!=2) {
	print $usage;
	exit;
}

$N = $ARGV[0];
$xcenter = $ARGV[1];
$ycenter = $ARGV[2];

$plotspec = "";
for ($i=1; $i<=$N; ++$i) {
	$plotspec .= "$i:$i,$i:$i,$i,$i,";
}
chop $plotspec;
	

`mplotdat -c $plotspec -w lines -X "SOM Weight 1st PC"  -Y "SOM Weight 2nd PC" -e "set nokey;" -f $xcenter $ycenter $xcenter $ycenter`;
